#include <iostream>

using namespace std;

int isplata(int n)
{
    if(n==0)return 0;
    int p=n%10;
    int m=p/5;
    int r=(p%5)/2;
    int s=(p%5)%2;
    return m+r+s+isplata(n/10);
}

int main()
{
    long long v;
    cin>>v;
    cout<<isplata(v);
}